#include <bits/stdc++.h>
using namespace std;
int main(){
    int h,w,a,b,c,d;
    cin>>h>>w;
    a=h*w;
    b=min(h,w);
    d=a/b;
    c=(d*(d+1))/2*b;
    if(b==1){
        c=c+a-1;
    }
    else{
        c=c+2*a-b;
        if(b>2){
            c=c+(b-1)*max(h,w);
        }
    }
    cout<<c;
}